"use strict";

const { validateValue } = require("@validatem/core");
const allowExtraProperties = require("@validatem/allow-extra-properties");
const isString = require("@validatem/is-string");
const forbidden = require("./");

let object = {
	foo: "bar",
	baz: "qux",
	blub: "quz"
};

console.log(validateValue(object, [
	allowExtraProperties({
		foo: [ isString ]
	})
])); // { foo: 'bar', baz: 'qux', blub: 'quz' }

console.log(validateValue(object, [
	allowExtraProperties({
		foo: [ isString ],
		blub: [ forbidden ]
	})
])); /*
	AggregrateValidationError: One or more validation errors occurred:
	 - At blub: Value exists in a place that should be empty
*/
